Bug 199809 - libzfs_core has a sneaky dependency on libzfs
Summary: libzfs_core has a sneaky dependency on libzfs
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 13:25 UTC by Andriy Gapon
Modified: 2015-10-23 20:24 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Gapon freebsd_committer 2015-04-30 13:25:27 UTC
/lib/libzfs_core.so.2: Undefined symbol "zcmd_ioctl_compat"

zcmd_ioctl_compat symbols is provided by libzfs.so.
libzfs.so has an explicit dependency on libzfs_core.so.

It seems that ioctl compatibility code (that allows older userland to interact with newer kernel-side ZFS) is to blame.
Comment 1 Andriy Gapon freebsd_committer 2015-06-25 11:03:13 UTC
The problem seems to be fixed by the following commit:
https://svnweb.freebsd.org/base?view=revision&revision=284409

Not sure if MFC is expected.
Comment 2 Andriy Gapon freebsd_committer 2015-06-25 11:12:19 UTC
base r284409
Comment 3 Andriy Gapon freebsd_committer 2015-10-23 08:13:34 UTC
base r289807

base r289808
Comment 4 Bryan Drewery freebsd_committer 2015-10-23 20:24:43 UTC
libavl has the same problem:

~/svn/clean3 # tools/build/check-links.sh /usr/lib/libavl.so
checking if libc.so.7 is needed: yes... __stack_chk_fail
Unresolved symbol aok